import matplotlib.pyplot as plt
import pandas
from pymlbenchmark.plotting import plot_bench_results

name = "../../onnx/results/bench_plot_datasets_num_reg.perf.csv"
df = pandas.read_csv(name)
plot_bench_results(df, row_cols='model', col_cols=('dataset', 'norm'),
                   x_value='N', y_value='diff_ort', fontsize=24,
                   err_value=('lower_diff_ort', 'upper_diff_ort'),
                   title="Numerical datasets\Absolute difference scikit-learn / onnxruntime")
plt.show()